services:
    qba_inmobiliaria.form.anuncio:
         class: QbaBit\InmobiliariaBundle\Form\QbInmAnuncioType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.caracteristica_extra:
         class: QbaBit\InmobiliariaBundle\Form\QbInmAnuncioCaracteristicaExtraType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.profile:
         class: QbaBit\InmobiliariaBundle\Form\UserPanelType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.options:
         class: QbaBit\InmobiliariaBundle\Form\QbInmOptionsType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio:
         class: QbaBit\InmobiliariaBundle\Form\FrontAnuncioType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.contact:
         class: QbaBit\InmobiliariaBundle\Form\ContactFormType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.anuncio_list_item:
         class: QbaBit\InmobiliariaBundle\Form\FrontAnuncioListItemType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.register:
         class: QbaBit\InmobiliariaBundle\Form\RegisterType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.order.manager:
         class: QbaBit\InmobiliariaBundle\Services\QbInmOrderManager
         public: true
         arguments: ["@service_container"]
    qba_inmobiliaria.cron.anuncio_anuncio_payed_enterprise:
         class: QbaBit\InmobiliariaBundle\Services\QbAnuncioCronService
         public: true
         arguments: ["@service_container","anuncio_payed_enterprise"]
    qba_inmobiliaria.cron.anuncio_anuncio_payed_particular:
         class: QbaBit\InmobiliariaBundle\Services\QbAnuncioCronService
         public: true
         arguments: ["@service_container","anuncio_payed_particular"]
    qba_inmobiliaria.cron.anuncio_anuncio_zone_confort_payed_first:
         class: QbaBit\InmobiliariaBundle\Services\QbAnuncioCronService
         public: true
         arguments: ["@service_container","zone_confort_payed_first"]
    qba_inmobiliaria.cron.anuncio_anuncio_zone_confort_payed_second:
         class: QbaBit\InmobiliariaBundle\Services\QbAnuncioCronService
         public: true
         arguments: ["@service_container","zone_confort_payed_second"]
    qba_inmobiliaria.cron.anuncio_private_end_day:
         class: QbaBit\InmobiliariaBundle\Services\QbAnuncioCronService
         public: true
         arguments: ["@service_container","private_end_day"]
    qba_inmobiliaria.listener.payment.payed:
        class: QbaBit\InmobiliariaBundle\EventListener\PaymentPayedListener
        arguments:
            [ '@service_container' ]
        tags:
            - { name: kernel.event_subscriber}
    qba_inmobiliaria.listener.anuncio.created:
        class: QbaBit\InmobiliariaBundle\EventListener\AnuncioCreatedListener
        arguments:
            [ '@service_container' ]
        tags:
            - { name: kernel.event_subscriber}
#  qbabit.template:
#     class: QbaBit\EcommerceBundle\Services\QbEcommerceTemplateService
#     arguments: ["@templating", "@doctrine.orm.entity_manager"]
#     public: true
#     autoconfigure: false
    qba_inmobiliaria.command.expired:
       class: QbaBit\InmobiliariaBundle\Command\RemoveExpireCommand
     #  arguments: ['@service_container']
       tags:
          - name: "console.command"

    qba_inmobiliaria.command.change_order_anuncios:
       class: QbaBit\InmobiliariaBundle\Command\ChangeOrderAnunciosDestacadosCommand
       tags:
          - name: "console.command"

    qba_inmobiliaria.command.remove_anuncios:
       class: QbaBit\InmobiliariaBundle\Command\ClearAnunciosCommand
       tags:
          - name: "console.command"

    qbabit.qba_inmobiliaria.utils:
       class: QbaBit\InmobiliariaBundle\Services\Utils
       public: true
       arguments: ["@service_container"]

#    qba_inmobiliaria.form.front_user_article:
#         class: QbaBit\InmobiliariaBundle\Form\FrontArticleType
#         tags:
#            - name: "form.type"
#         arguments: ["@service_container"]


    qba_inmobiliaria.form.front_anuncio.academia:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\AcademiaType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.almacen:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\AlmacenType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.apartamento:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\ApartamentoType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.atico:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\AticoType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.bar:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\BarType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.casa_adosada:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\CasaAdosadaType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.casa_pareada:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\CasaPareadaType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.casa:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\CasaType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.castillo:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\CastilloType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.complejo_turistico:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\ComplejoTuristicoType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.discoteca:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\DiscotecaType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.duplex:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\DuplexType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.edificio:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\EdificioType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.estudio:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\EstudioType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.finca_rustica:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\FincaRusticaType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.finca:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\FincaType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.geriatrico:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\GeriatricoType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.hotel:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\HotelType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.inmobiliaria:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\InmobiliariaType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.local_comercial:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\LocalComercialType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.local_con_inquilinos:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\LocalConInquilinosType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.local_industrial:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\LocalIndustrialType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.loft:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\LoftType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.masia:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\MasiaType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.modulo_camping:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\ModuloCampingType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.nave_con_inquilinos:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\NaveConInquilinosType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.nave_industrial:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\NaveIndustrialType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.oficina:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\OficinaType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.otros_inmuebles:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\OtrosInmueblesType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.otros_negocios:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\OtrosNegociosType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.palecete:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\PalaceteType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.parking_coche:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\ParkingCocheType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.parking_moto:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\ParkingMotoType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.piso:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\PisoType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.planta_baja:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\PlantaBajaType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.restaurante:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\RestauranteType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.solar_industrial:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\SolarIndustrialType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.solar_urbano:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\SolarUrbanoType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.suelo_equipamiento:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\SueloParaEquipamientoType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.terreno_residencial:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\TerrenoResidencialType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.tienda:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\TiendaType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.torre:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\TorreType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.vivienda_con_inquilinos:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\ViviendaConInquilinosType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.vivienda_sin_inquilinos:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\TipoInmueble\Subtipo\ViviendaSinInquilinosType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]
    qba_inmobiliaria.form.front_anuncio.demanda:
         class: QbaBit\InmobiliariaBundle\Form\Anuncio\Modalidad\DemandaType
         tags:
            - name: "form.type"
         arguments: ["@service_container"]

    qba_blog.form.article_presentacion:
             class: QbaBit\InmobiliariaBundle\Form\QbFrontPresentacionType
             tags:
                - name: "form.type"
             arguments: ["@service_container"]
    qba_inmobiliaria.controller.index:
             class: QbaBit\InmobiliariaBundle\Controller\FrontIndexController
             public: true
             arguments: ["@service_container","@parameter_bag"]